Subject: bug#18972: 24.4.51; [NS] Crash in ns_set_vertical_scroll_bar

From: "Jan D." <[email-masked]>
Date: Fri, 7 Nov 2014 16:15:20 +0100

Hi.

> 6 nov 2014 kl. 21:15 skrev Ivan Andrus <[email-masked]>:
> 
> On Nov 6, 2014, at 12:57 AM, Jan D. <[email-masked] <mailto:[email-masked]>> wrote:
> 
>> Ivan Andrus skrev den 2014-11-06 07:01:
>>> After running for perhaps a day or two, emacs crashed in
>>> ns_set_vertical_scroll_bar.  I'm not sure how to reproduce it, but I
>>> still have the lldb session open so I can get more info if desired.
>>> Unfortunately, I don't have gdb installed so I can't use xbactrace, but
>>> it doesn't look like that would be very useful anyway.
>>> 
>>> OS X 10.9.5 in case it matters.
>>> 
>>> -Ivan
>>> 
>>> 
>>> (lldb) bt all
>>> * thread #1: tid = 0x27f4b5, 0x00007fff8f510097 libobjc.A.dylib`objc_msgSend + 23, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=EXC_I386_GPFLT)
>>>     frame #0: 0x00007fff8f510097 libobjc.A.dylib`objc_msgSend + 23
>>>   * frame #1: 0x00000001001bdb6f Emacs`ns_set_vertical_scroll_bar(window=0x00000001250bd0d0, portion=2708, whole=56199, position=0) + 95 at nsterm.m:3767
>> 
>> ns_set_vertical_scroll_bar is not at nsterm.m:3767.  When did you check out your sources?
>> 
>> 	Jan D.
> 
> Right before I built, so on 2014-11-05.  I’m not sure the exact commit I checked out, but it would have been one of the commits below (almost certainly the last).  I’m using the git mirror, so I don’t know the bzr ids.
> 
> 
> Author: Ted Zlatanov <[email-masked] <mailto:[email-masked]>>
> Date: November 5, 2014 at 9:06:40 AM MST
> url-http.el: introduce url-user-agent
> 
> Author: Paul Eggert <[email-masked] <mailto:[email-masked]>>
> Date: November 4, 2014 at 10:46:49 AM MST
> Spelling fixes; tweak explanation of commit messages.
> 
> Date: November 3, 2014 at 6:22:43 AM MST
> Committer: Ted Zlatanov <[email-masked] <mailto:[email-masked]>>
> * net/eww.el (eww-list-bookmarks): Autoload.

Those are messages from the trunk, but your subject says 24.4.51.  Are you sure you know what version you use and/or build?

	Jan D.